Subject: bug#74948: guix pack docker environment variable setting

From: Simon Josefsson <[email-masked]>
Date: Wed, 18 Dec 2024 18:08:11 +0100

Hi

I believe the guix-pack docker format allows setting environment
variables in the resulting image, is that right?

I can't find any way to set them using the `guix pack` tool, am I
missing it?

Would a new `guix pack --setenv HOME=/` parameter be useful?

Such a parameter could be docker-specific and documented in
--help-docker-format.  If other formats support setting environment
variables too, it could instead be a normal `guix pack` parameter.
Maybe AppImage support setting environment variables too?

Thanks,
/Simon